curl --request POST \
--url https://storefront.glood.ai/api/storefront/v3/headless/recommendations/automatic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-shop: <x-shop>' \
--data '
{
"product_ids": [
123
],
"recommendation_type": "similar_products",
"view": "product_details",
"filter": {
"variants": {
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"is_in_stock": true,
"sku": [
"<string>"
],
"available_for_sale": true
},
"tags": [
"<string>"
],
"vendors": [
"<string>"
],
"metafields": [
{
"namespace": "<string>",
"key": "<string>",
"value": "<string>"
}
]
},
"pagination": {
"cursor": "<string>",
"limit": 25
}
}
'{
"status": "ok",
"serve_id": "<string>",
"pagination": {
"cursor": "<string>"
},
"products": [
{
"product_id": 123,
"title": "<string>",
"price": 123,
"tags": "<string>",
"product_type": "<string>",
"vendor": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"height": 123,
"width": 123,
"altText": "<string>"
},
"handle": "<string>",
"compare_at_price": 123,
"options": [
{
"id": 123,
"name": "<string>",
"values": [
"<string>"
],
"position": 123
}
],
"variants": [
{
"variant_id": 123,
"title": "<string>",
"display_name": "<string>",
"position": 123,
"sku": "<string>",
"selected_options": [
{
"name": "<string>",
"value": "<string>"
}
],
"price": "<string>",
"compare_at_price": "<string>"
}
]
}
]
}Get automatic recommendations powered using LLMs
curl --request POST \
--url https://storefront.glood.ai/api/storefront/v3/headless/recommendations/automatic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-shop: <x-shop>' \
--data '
{
"product_ids": [
123
],
"recommendation_type": "similar_products",
"view": "product_details",
"filter": {
"variants": {
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"is_in_stock": true,
"sku": [
"<string>"
],
"available_for_sale": true
},
"tags": [
"<string>"
],
"vendors": [
"<string>"
],
"metafields": [
{
"namespace": "<string>",
"key": "<string>",
"value": "<string>"
}
]
},
"pagination": {
"cursor": "<string>",
"limit": 25
}
}
'{
"status": "ok",
"serve_id": "<string>",
"pagination": {
"cursor": "<string>"
},
"products": [
{
"product_id": 123,
"title": "<string>",
"price": 123,
"tags": "<string>",
"product_type": "<string>",
"vendor": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"height": 123,
"width": 123,
"altText": "<string>"
},
"handle": "<string>",
"compare_at_price": 123,
"options": [
{
"id": 123,
"name": "<string>",
"values": [
"<string>"
],
"position": 123
}
],
"variants": [
{
"variant_id": 123,
"title": "<string>",
"display_name": "<string>",
"position": 123,
"sku": "<string>",
"selected_options": [
{
"name": "<string>",
"value": "<string>"
}
],
"price": "<string>",
"compare_at_price": "<string>"
}
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Shopify store URL
"shop.myshopify.com"
Request body
List of product IDs to get recommendations for
Type of recommendations to retrieve
similar_products Context where recommendations will be displayed
product_details, product_ids Show child attributes
Show child attributes
Filter by in-stock status
Filter by SKU
Filter by availability for sale
Filter by product tags
Filter by product vendors
Recommendations
Status of the response
ok Unique identifier for this recommendation serve
Show child attributes
Unique identifier of the product
Title of the product
Price of the product
Comma-separated list of product tags
Type/category of the product
Vendor/brand of the product
URL handle/slug for the product
Original/compare at price of the product
Show child attributes
Unique identifier of the variant
Title of the variant
Display name of the variant
Display position of the variant
SKU of the variant
Price of the variant
Original/compare at price of the variant
Was this page helpful?